--------------------------------------------------------------------------------

Version 2001.1 - The "Anno del Contatto" version
----------
2009-12-12

	Pegasus:
		* Patch varie per embedded system basati su NSLU2.
		* Doppio fix su CalcolaRatio.
		* Patch a amulecmd per permettere il comando
		   amulecmd -c "download nnn"'.

	Stu Redman:
		* Patch da forum.amule.org per evitare che un friend sia
		  rimosso dai client in upload per limiti di tempo e per
		  favorire upload dei file in release (forse pero' la tolgo se
		  non viene messa in amule).

	^marcell^:
		* Patch da forum.amule.org per bug #0001531.
		* Patch da forum.amule.org per bug #00001524 ("New upload
		  doesn't get sorted in the upload list").
		* Patch da forum.amule.org per bug #0001412.
		* Patch da forum.amule.org per feature #0000892.

	Clarensio:
		* Aggiornata traduzione ad hoc per AdunanzA (file po/it.po).
		* Aggiunta nuova skin AdunanzA_C.
		* Aggiornati smiley Client_aMule_AdunanzA_Smiley,
		  Client_eMule_AdunanzA_Smiley e Client_Fastweb_Smiley.

	mr_hyde:
		* Backport r9989: "Fixed crash in CClientList::ProcessDirectCallbackList
		  that had been around for ages (hopefully)".
		* In accordo con Hammon e AduTeam cambiata numerazione.
		* Backport r9955 per "Safeguard against recursion in the
		  core timer.
		* Backport r9947 per "Fixed crash when rightmost search tab
		  was selected and then closed".
		* Backport r9913 e r9939 per fix "memory exhaustion on high
		  speed uploads".
		* Backport r9930 per fix messaggio di help amulecmd.
		* Backport r9929 per client testuali e console NON-UTF8.
		* Flag di configurazione --enable-adu-nslu2 per abilitare
		  patch AdunanzA di Pegasus per embedded system basati NSLU2.
		* Backport da aMule 2.3.x SVN per parametro linea di comando
		  "pid-file" di amuled per scrivere il pid in un file.
		* Porting su Snow Leopard per architettura x86_64 (per ora
		  dire instabile, vedi file LEGGIMI.AdunanzA per come ho
		  eseguito la compilazione).
		* Aggiunto valore nodi attivi/totali in amulegui, amulecmd,
		  amuleweb. 
		* Allineato a aMule 2.2.6. 
		* Patch per FALLOCATE (fix errore link su sistemi 32 bot con glib
		  2.10).
		* Supporto compilazione con MSVC Express Edition su
		  piattaforma Windows, occorre compilare come descritto
		  nel wiki di aMule ufficiale, vedi
		  http://www.amule.org/wiki/index.php/HowTo_compile_with_Visual_Studio.
		* Importata (e adattata) gestione ripartitore di banda di
		  Tigerjact da eMule AdunanzA 3.16, abilitata nelle preferenze
		  possibilita' di variare valore banda assegnato agli esterni,
		  lo spin control cambia il valore della banda con delta pari
		  all'allocazione slot.
		* Allineato a aMule 2.2.5.
		* Aggiunto pannello AdunanzA nelle preferenze (per ora solo
		  per parametri IRC).
		* Aggiunto test porte in preferenze.
		* AdunanzA ora cerca le impostazioni in ~/.aMuleAdunanzA.
		* Webserver e skin sono in share/amuleadunanza.
		* Allineato a aMule 2.2.4.

--------------------------------------------------------------------------------

Version 3.14b3 - The "E mo' basata su aMule 2.2.2" version
----------
2008-09-29

	mr_hyde:
		* Cambiato numero di versione in 3.14b3 in attesa di far
		  uscire la definitiva (prima mi devo accordare con Hammon).
		* Aggiornato link lista server su richiesta di Hammon.
		* Allineato a codice aMule-2.2.2.

--------------------------------------------------------------------------------

Version 3.14b2 (current) - The "Speriamo che questa basata su aMule CVS 2.2.0 prima o poi funzioni" version
----------
2008-04-30

	mr_hyde:
		* Allineato a codice aMule-CVS-20080430.
		* Fix per numero client AdunanzA in upload minore di 0.
		* Fix per identificazione come client AdunanzA.
		* Allineato a codice aMule-CVS-20080428.
		* Allineato a codice aMule-CVS-20080427.
		* Test per aggiunta linga italiana personalzzata AdunanzA
		  it_ADU.
		* Correzione per grafico nodi KAD.
		* Allineato a codice aMule-CVS-20080425 (W il 25 Aprile!).
		* Per distinguere questa versione dalle precedenti visto che
		  supporta KAD2, avanzato il numero a 3.14b2.
		* KADU basata su KAD2, finalmente sembra funzionare, il file
		  nodes.dat e' letto sia in formato 1 che 2 ma SALVATO SOLO IN
		  FORMATO KAD2, sembra che sia un po' lento ad agganciarsi a
		  KAD2 per ora.
		* Allineato a codice aMule-CVS-20080420.
		* Allineato a codice aMule-CVS-20080419.
		* Inizio lavori per allineamento a 3.15, gestione lista Mod da
		  bannare scaricata da remoto.
		* Allineato a codice aMule-CVS-20080418.
		* Allineato a codice aMule-CVS-20080417.

2008-04-11

	mr_hyde:
		* Patch temporanea su codice aMule ufficiale per
		  impedire sovrascrittura di file nodes.dat con
		  file contenente 0 nodi.
		* Rimesse keyword di SharedFileList.cpp con lunghezza salvata
		  in 2 byte (codice originale), in attesa di ulteriori
		  indagini.
		* Allineato a codice aMule-CVS-20080411.
		* Ancora lavori in corso su file delle keywords, introdotta
		  gestione "clasica" del file tramite CPath.
		* Allineato a codice aMule-CVS-20080410.
		* In seguito a modifica di Tigerjact sul codice Windows della
		  3.15b76 e a commenti di Kry sull'uso di Unicode nelle
		  keyword, ho deciso di modificare il codice che legge e
		  scrive il file "key_np.dat" per usare SEMPRE Unicode con
		  lunghezza memorizzata in 4 byte Kry in un commento ha
		  scritto che da per scontato l'uso di Unicode e 4 byte per
		  quanto riguarda le keywords; ovviamente in questo modo
		  occorre, prima di lanciare aMule, ELIMINARE il vecchio file
		  "key_np.dat" scritto nel formato precedente.
		* Correzione in SharedFileList.cpp su metodo saveFile,
		  in seguito ad un problema sulla versione eMule (grazie
		  a Tigerjact) ho notato che potenzialmente era possibile che
		  nell'header del file venisse salvato un numero di entry
		  MAGGIORE delle entry presenti nel file, ora con la correzione
		  il file viene salvato solo se ho almeno una entry valida e
		  nell'header viene salvato il numero di entry corretto.
		* Allineato a codice aMule-CVS-20080409.
		* Allineato a codice aMule-CVS-20080407.
		* Allineato a codice aMule-CVS-20080406.
		* Allineato a codice aMule-CVS-20080405.
		* Allineato a codice aMule-CVS-20080403.
		* Allineato a codice aMule-CVS-20080402.
		* Allineato a codice aMule-CVS-20080328.
		* Allineato a codice aMule-CVS-20080327.
		* Allineato a codice aMule-CVS-20080326.
		* Allineato a codice aMule-CVS-20080325.
		* Allineato a codice aMule-CVS-20080324.
		* Allineato a codice aMule-CVS-20080322.
		* Non ha a che fare con il codice ma e' comunque importante:
		  alle 21:10 del 18 Marzo 2008 viene al mondo Leonardo, e'
		  lungo 50 cm e pesa 2710 grammi e cosi' Mr Hyde diventa zio
		  per la prima volta!
		* Allineato a codice aMule-CVS-20080318.
		* Ancora esperimenti su algoritmo di scelta client in upload.
		* Allineato a codice aMule-CVS-20080312.
		* Allineato a codice aMule-CVS-20080306.
		* Correzioni varie in Upload, anche per cercare di tornare a
		  ratio 1 1 con esterni.
		* Allineato a codice aMule-CVS-20080305.

2008-03-04

	mr_hyde:
		* Allineato a codice aMule-CVS-20080304.
		* Allineato a codice aMule-CVS-20080303.
		* Allineato a codice aMule-CVS-20080301.
		* Allineato a codice aMule-CVS-20080228.
		* Allineato a codice aMule-CVS-20080227.
		* Allineato a codice aMule-CVS-20080226.
		* Allineato a codice aMule-CVS-20080225.
		* Allineato a codice aMule-CVS-20080224.
		* Allineato a codice aMule-CVS-20080223.
	        * Rimosse scritte 'join #Linux' dai tooltip relativi al
		  pulsante IRC (questo perche' il canale di default e'
		  nuovamente La_Stalla).
		* Allineato a codice aMule-CVS-20080222.
		* Allineato a codice aMule-CVS-20080221.
		* Allineato a codice aMule-CVS-20080220.
		* Allineato a codice aMule-CVS-20080219.
		* Allineato a codice aMule-CVS-20080218.
		* Corretto problema icona Messaggi blinking (per errore veniva
		  mostrata l'icona del pulsante IRC).
		* Allineato a codice aMule-CVS-20080217.
		* Allineato a codice aMule-CVS-20080216.
		* Allineato a codice aMule-CVS-20080215.
		* Allineato a codice aMule-CVS-20080214.
		* Cambiato nuovamente codice associato a pulsante IRC;
		  aggiunta in amule.conf la sezione [AdunanzA] con i parametri
		  UseCustomIRCProgram, CustomIRCProgram,
		  CustomIRCProgramFlags, in questo modo se UseCustomIRCProgram
		  vale 1 allora alla pressione del tasto IRC viene lanciato il
		  comando contenuto in CustomIRCProgram con i parametri
		  contenuti in CustomIRCProgramFlags, se invece
		  UseCustomIRCProgram vale 0 (default) il comportamento e'
		  quello classico.
		* Rimesso canale #La_Stalla nell'indirizzo IRC di default.
		* Allineato a codice aMule-CVS-20080213.
		* Cambiato codice lancio di xchat per usare le nuove classi
		  CPath e CTextFile recentemente introdotte dal tem di aMule.
		* Allineato a codice aMule-CVS-20080211.
		* Per prova ripristinata parte codice originale
		  in src/amuled.cpp per rendere demone l'applicazione
		  (non vedo motivo per rendere differente quella parte
		  di codice in AdunanzA).
		* Allineato a codice aMule-CVS-20080210.

2008-02-03

	brainnolo:
		* Correzioni su codice aMule per compilazione MacOS.

	mr_hyde:
		* Aggiunta MAN Cagliari 51.0.0.0/28.
		* Allineato a codice aMule-CVS-20080203.
		* Allineato a codice aMule-CVS-20080202.

2008-02-01

	Clarensio:
		* Cambiamenti descrizione/tooltip pulsante chat.

	mr_hyde:
		* Correzione su file delle keyword (mi assicuro di non mettere
		  keyword vuote/già presenti nella lista keyword). 
		* Provato a inserire modifiche (tag ADUFLAGS) per cercare
		  di diminuire uso CPU; ora il controllo sull'IP per vedere se
		  il client è Fastweb, è fibra, viene fatto solo
		  alla creazione dell'istanza del client; ho cercato anche di
		  ridurre la frequenza con cui si calcola se il client è
		  AdunanzA, si determina la città di provenienza. 
		* Allineato a codice aMule-CVS-20080201.
		* Bloccati controlli "Filter LAN IP" e "Transfer full chunks"
		  perché per AdunanzA questi valori di preferenze devono
		  essere sempre, rispettivamente, FALSE e TRUE.
		* Il nickname usato di default è
		   http://forum.adunanza.net/showthread.php?t=49167 per beta
		   http://forum.adunanza.net per release stabile.
		* Il pulsante chat ora cerca di collegarsi al canale #Linux.
		* Allineato a codice aMule-CVS-20080130.
		* Introduzione header di copyright nei file aggiunti per AdunanzA.
		* Allineato a codice aMule-CVS-20080129.
		* Aggiornato file SlackBuild in modo da far ricavare
		  automaticamente il numero di revisione del pacchetto
		  a partire dal file SVNDATE.
		* Allineato a codice aMule-CVS-20080128.
		* Cambiato messaggio crash dump per invitare gli utenti
		  AdunanzA a _NON_ spedire log al team ufficiale di aMule.
		* Allineato a codice aMule-CVS-20080124.
		* Allineato a codice aMule-CVS-20080123.
		* Allineato a codice aMule-CVS-20080122.
		* Allineato a codice aMule-CVS-20080118.
		* Allineato a codice aMule-CVS-20080117.

2008-01-09

	mr_hyde:
		* Cambiamenti vari su gestione con GeoIP (provato ad abbassare
		  occupazione CPU e forzata bandiera italiana per indirizzi
		  Fastweb).
		* Allineato a codice aMule-CVS-20080109.
		* Allineato a codice aMule-CVS-20080107.
		* Allineato a codice aMule-CVS-20080106.
		* Allineato a codice aMule-CVS-20080105.
		* Cambiato metodo di lancio di xchat e risolto problema
		  messaggio di errore di xchat "Cannot create ~/.xchat2" (anche
		  se ancora non mi piace).
		* Fix per evitare crash durante hash di file partNNN.met
		  (temporaneo, vedi
		  http://forum.amule.org/index.php?topic=14160.new;topicseen#new).
		* Allineato a codice aMule-CVS-20071231.

2007-12-31

	mr_hyde:
		* Allineato a codice aMule-CVS-20071231.
		* Rimossa patch per eventi tastiera apparentemente
		  non piu' necessaria.
		* Corretto possibile memory leak in codice UPnP.

2007-12-28

	mr_hyde:
		* Allineato a codice aMule-CVS-20071228.

2007-12-27

	mr_hyde:
		* Allineato a codice aMule-CVS-20071227.

2007-12-24

	mr_hyde:
		* Allineato a codice aMule-CVS-20071224 questo allineamento
		  ha introdotto un po' di cambiamenti sulle macro relative alla
		  versione, da controllare bene.

2007-12-17

	mr_hyde:
		* Allineato a codice aMule-CVS-20071217.

2007-12-12

	mr_hyde:
		* Creata directory "Slackware" contenente SlackBuild e
		  slack-desc per la creazione di paccketti Slackware/SLAMD64
		  (da migliorare).
		* Cambiata nuovamente descrizione in amulegui.desktop (ma
		  ancora non mi piace).
		* Allineato a codice aMule-CVS-20071212.

--------------------------------------------------------------------------------

Version 3.14b1.20071204 - The "Speriamo che questa basata su aMule CVS 2.2.0 prima o poi funzioni" version
----------
2007-12-04

	mr_hyde:
		* Allineato a codice aMule-CVS-20071204

--------------------------------------------------------------------------------

Version 3.14b1.20071122 - The "Speriamo che questa basata su aMule CVS 2.2.0 prima o poi funzioni" version
----------
2007-11-27

	Clarensio:
		* Rimossa vecchia skin AdunanzA.zip e aggiunte nuove skin
		  AdunanzA_A.zip e AdunanzA_B.zip.
		* Modificato file LEGGIMI.Adunanza e aggiornata la sezione
		  riguardante le skin.

	mr_hyde:
		* Iniziato a eliminare globale "acfg" per pulizia e
		  risolizione ticket #9: "Adunizzazione di amulegui rende
		  amulegui NON utilizzabile (crash)".

2007-11-22

	Clarensio:
		* Create nuove icone di default per 
		    smiley client eMule-AdunanzA
		    smiley client aMule-AdunanzA
		    smiley client su rete Fastweb.
		* Creata skin AdunanzA.zip.

	mr_hyde:
		* Creato questo stupido changelog.
		* Modificati file spec e .desktop per avere la scritta
		  "AdunanzA".
		* Allineato a codice aMule-CVS-20071122.
		* Workaround per Bug #5 (in attesa di soluzione seria): 
		  "Alcuni comandi impostati da tastiera non funzionano".
		* Cambiamenti su gestione icone client in seguito a
		  introduzione nuove icone di Clarensio.
